Home CVE Database CVE-2017-14529

CVE-2017-14529

Description

The pe_print_idata function in peXXigen.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.29, mishandles HintName vector entries, which allows remote attackers to cause a denial of service (heap-based buffer over-read and application crash) via a crafted PE file, related to the bfd_getl16 function.

Priority: Medium
CVSS v3: 5.5
Publish Date: Sep 17, 2017
Related ID: --
CVSS v2: Medium
Modified Date: Sep 21, 2017

Find out more about CVE-2017-14529 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Related Products

Product Name Status Defect Fixed Downloads
Linux 7 SCP Not Vulnerable -- -- --
Linux 7 CGP Not Vulnerable -- -- --

Comments

binutils

Live chat
Online